<template>
  <view class="comment-item">
    <view class="comment-item-header">
      <view class="comment-item-header-left">
        <view class="avatar">
          <u-avatar :src="avatar" size="50" shape="circle" />
        </view>
        <view class="comment-content">
          <view class="author">
            <text class="nickname">{{ nickname }}</text>
            <view v-if="isAuthor" class="author-flag">作者</view>
          </view>
          <view class="comment-content-text">
            <text>{{ content }}</text>
            <u-album :urls="images" multipleSize="180" singleSize="500"></u-album>
            <text class="date">{{ date }}</text>
            <text class="address">{{ address }}</text>
            <text class="reply" @click="onReply">回复</text>
          </view>
        </view>
        <view class="comment-opeartor">
          <u-icon name="heart" size="30" />
          <view class="comment-opeartor-heart-number">{{ likes }}</view>
        </view>
      </view>
    </view>
    <view style="margin-left: 60rpx; margin-top: 10rrx;">
      <comment-sub-item avatar="https://img.yzcdn.cn/vant/cat.jpeg" nickname="图墙精选" :isAuthor="true"
        content="如果路线里全是常规景区，没一个特殊的点位，那就是普通团，除非他的住宿安排的很好。。要不然和普通团没任何区别，都是去景区挤，然后上车赶路" :images="urls2" date="2天前"
        address="湖北" :likes="30" @reply="showCommentLayer" />
    </view>
  </view>
</template>

<script>
export default {
  name: 'CommentItem',
  props: {
    avatar: String,
    nickname: String,
    isAuthor: Boolean,
    content: String,
    images: {
      type: Array,
      default: () => [],
    },
    date: String,
    address: String,
    likes: Number,
  },
  data() {
    return {
      urls2: [
        "https://img.yzcdn.cn/vant/cat.jpeg",
        "https://img.yzcdn.cn/vant/cat.jpeg",
        "https://img.yzcdn.cn/vant/cat.jpeg",
        "https://img.yzcdn.cn/vant/cat.jpeg",
        "https://img.yzcdn.cn/vant/cat.jpeg",
      ],
    }
  },
  methods: {
    onReply() {
      this.$emit('reply');
    },
  },
};
</script>

<style lang="scss" scoped>
.comment-item {
  .comment-item-header {
    display: flex;
    align-items: center;

    .comment-item-header-left {
      display: flex;
      width: 100%;

      .comment-content {
        width: 92%;
        display: flex;
        flex-direction: column;
        padding-left: 10rpx;

        .author {
          display: flex;
          align-items: center;

          .nickname {
            font-size: 30rpx;
            color: #858585;
          }

          .author-flag {
            font-size: 20rpx;
            color: #ff4d4f;
            font-weight: bold;
            font-size: 18rpx;
            border-radius: 50rpx;
            padding: 5rpx 10rpx 5rpx 10rpx;
            background-color: rgba(219, 19, 22, 0.219);
            width: 40rpx;
            margin-left: 10rpx;
            height: 25rpx;
            // border: 1px solid #ff4d4f;
          }
        }

        .comment-content-text {
          margin-top: 10rpx;
          font-size: 26rpx;
          letter-spacing: 1rpx;
          line-height: 1.5;

          .date {
            font-size: 20rpx;
            padding: 10rpx;
            color: #858585;
          }

          .address {
            font-size: 20rpx;
            padding: 10rpx;
            color: #858585;
          }

          .reply {
            font-size: 24rpx;
            padding: 10rpx;
          }
        }

      }

      .comment-opeartor {
        display: flex;
        flex-direction: column;
        align-items: flex-start;

        // margin-left: 10rpx;
        .comment-opeartor-heart-number {
          width: 100%;
          text-align: center;
          font-size: 20rpx;
        }
      }
    }

  }

}
</style>